package cbsw.lhcb.pdmdb;

import javax.xml.bind.annotation.*;

/**
<p>This class encapsulates the interactions with the EC SEU monitor signal.</p>
**/
@XmlAccessorType(XmlAccessType.NONE)
class EcSeuMonitor
{
  ScaDepp sca;
  @XmlAttribute(name="id")
  String name;
  @XmlAttribute(name="adc")
  int adc;

  public void init( ScaDepp sca )
  {
    this.sca = sca;
    sca.adcCurrentSource.clear(adc);
  }

  public String getName(){ return this.name; }

  public EcSeuMonitor(){}

  public int getAdc(){ return sca.getAdc(adc); }
}
