package cbsw.lhcb.pdmdb;

import javax.xml.bind.annotation.*;

/**
<p>This class encapsulates the interactions with a PDMDB power sensor.</p>
**/
@XmlAccessorType(XmlAccessType.NONE)
class PdmdbPowerSensor
{
  ScaDepp sca;
  @XmlAttribute(name="id")
  String name;
  @XmlAttribute(name="adc")
  int adc;

  public void init( ScaDepp sca )
  {
    this.sca = sca;
    sca.adcCurrentSource.clear(adc);
  }

  public String getName(){ return this.name; }

  public PdmdbPowerSensor(){}

  public int getAdc() { return sca.getAdc(adc); }

}
