package cbsw.lhcb.pdmdb;

import javax.xml.bind.annotation.*;
import javax.xml.bind.annotation.adapters.*;

/**
<p>This class describes a single SCA command or response.</p>
**/
@XmlAccessorType(XmlAccessType.NONE)
public class ScaCommandDescriptor
{
  @XmlElement(name="Description")
  String description;
  @XmlElement(name="Command")
  String name;
  @XmlElement(name="Group")
  String group;
  @XmlElement(name="Direction")
  String direction;
  @XmlElement(name="Channel")
  String channel; // Can be a list
  @XmlElement(name="Length")
  byte length;
  String codeString;
  byte code;
  @XmlElement(name="Data")
  String data;

  public ScaCommandDescriptor(){}

  public String getDescription(){return description;}
  public String getName(){return name;}
  public String getGroup(){return group;}
  public String getDirection(){return direction;}
  public String getChannel(){return channel;}
  @XmlElement(name="Code")
  public void setCodeString(String code){ this.code = (byte)(Integer.decode(code).intValue()&0xff); }
  public byte getCode(){return code;}
  public String getData(){return data;}
    //  public void setLength(String length){ this.length = (byte)Integer.decode(length).intValue(); }
  public int getLength(){return length;}

}
