package cbsw;

/**
<p>Byte-oriented hardware I/O interface</p>
 */
public interface Io
{
/**
<p>Writes array of bytes to hardware.</p>
@param offset Hardware byte offset where to start writing.
@param buf data to write.
 */
  void put(int offset, byte [] buf);
/**
<p>Reads array of bytes from hardware</p>
@param offset Register start address offset
@param buf array to receive data
 */
  void get(int offset, byte [] buf);
}
