#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#undef WIN32
#include "dpcdecl.h"
#include "djtg.h"
#include "dmgr.h"
#define WIN32 1

HIF hif = hifInvalid;

int main(int argc, char **argv)
{
  DmgrClose(hif);
  char dv[64];
  strcpy(dv, argv[1]);
  if( !DmgrOpen(&hif, dv) )
  {
    printf("DmgrOpen() error\n");
    exit(0);
  }

  if( !DjtgEnable(hif) )
  {
    printf("DjtgEnable() error\n");
    DmgrClose(hif);
    exit(0);
  }

  DWORD pdprp;
  if ( !DjtgGetPortProperties(hif,0,&pdprp) )
  {
    printf("DjtgGetPortProperties() error\n");
    DmgrClose(hif);
    exit(0);
  }
  if (pdprp & dprpJtgSetSpeed) printf("DjtgSetSpeed supported for port\n");
  if (pdprp & dprpJtgSetPinState) printf("DjtgSetTmsTdiTck supported for port\n");
  if (pdprp & dprpJtgWait) printf("DjtgWait supported for port\n");
  if (pdprp & dprpJtgSetAuxReset) printf("DjtgSetAuxReset supported for port\n");
  if (pdprp & dprpJtgBatch) printf("DjtgBatch and DjtgGetBatchProperties supported for port\n");

  UINT32 pdjbp;
  if ( !DjtgGetBatchProperties(hif,0,&pdjbp) )
  {
    printf("DjtgGetBatchProperties() error\n");
    DmgrClose(hif);
    exit(0);
  }
  if (pdjbp & djbpWaitUs) printf("jcbWaitUs supported\n");
  if (pdjbp & djbpSetAuxReset) printf("jcbSetAuxReset supported\n");


//   unsigned ul = strtoul(argv[2],0,0);
//   BYTE val = ul & 0xff; 
//   BYTE array[6] = {0,0,1,0,3,val};
//   if ( !DeppPutRegSet(hif, array, 3, fFalse) )
//   {
//     printf("DeppPutRegSet() error\n");
//   }

  DjtgDisable(hif);
  DmgrClose(hif);
  exit(0);
}
