#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include "dpcdecl.h"
#include "depp.h"
#include "dmgr.h"

HIF hif = hifInvalid;

int main(int argc, char **argv)
{
  DmgrClose(hif);
  char dv[64];
  strcpy(dv, argv[1]);
  if( !DmgrOpen(&hif, dv) )
  {
    printf("DmgrOpen() error\n");
    exit(0);
  }

  if( !DeppEnable(hif) )
  {
    printf("DeppEnable() error\n");
    DmgrClose(hif);
    exit(0);
  }

  unsigned ul = strtoul(argv[2],0,0);
  BYTE val = ul & 0xff; 
  BYTE array[6] = {0,0,1,0,3,val};
  if ( !DeppPutRegSet(hif, array, 3, fFalse) )
  {
    printf("DeppPutRegSet() error\n");
  }

  DeppDisable(hif);
  DmgrClose(hif);
  exit(0);
}
